restoretextmode(1)

NAME
restoretextmode - save or restore the SVGA registers for textmode.

SYNOPSIS
restoretextmode {-r|-w} filename

DESCRIPTION
The state of the SVGA is written to or restored from filename using the vga_gettextmoderegs(3) and vga_settextmoderegs(3) functions. As of this writing this file is 385 bytes long but this might change with future versions. Please do not fiddle with the contents of the file except when you know what you do. It might even result in hardware damage. Because of that, you should think twice to make this command available to all users on your system. The purpose of this program is usually to recover from a crashed console due to an svgalib, Xfree or other program bug. First save the state of the SVGA card when on a text console. After the crash restore this state. The savetextmode(1) and textmode(1) script makes this procedure very easy.

OPTIONS

-w filename
    write the SVGA state to the file filename.

-r filename
    restore the SVGA state from the file filename.

SEE ALSO
svgalib(7), vgagl(7), libvga.config(5), vga_gettextmoderegs(3), vga_settextmoderegs(3), dumpreg(1), convfont(1), fix132x43(1), restorefont(1), restorepalette(1), runx(1), savetextmode(1), setmclk(1), textmode(1).

AUTHOR
This manual page was edited by Michael Weller <eowmob@exp-math.uni-essen.de>. The exact source of the referenced utility as well as of the original documentation is unknown. It is very likely that both are at least to some extend are due to Harm Hanemaayer <H.Hanemaayer@inter.nl.net>. Occasionally this might be wrong. I hereby excuse by the correct author and will happily accept any additions or corrections to this first version of the svgalib manual.